
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 辨识对象
    /// </summary>
    [Description("辨识对象")]
    public class T_HM_RISK_RECORD_IDENTIFYING : MesEntityBase
    {
        /// <summary>
        /// 风险记录表ID
        /// </summary>
        [Description("风险记录表ID")]
        [DataFieldForeignKey("Nav_Record", "Nav_Identifyings")]
        public Guid RECORD_ID { get; set; }
        /// <summary>
        /// 辨识对象ID
        /// </summary>
        [Description("辨识对象ID")]
        [DataFieldForeignKey("Nav_Identifying")]
        [FormFieldEdit]
        public Guid IDENTIFYING_ID { get; set; }
        /// <summary>
        /// 导航属性：辨识对象
        /// </summary>
        [Description("导航属性：辨识对象")]
        public T_HM_IDENTIFYING Nav_Identifying { get; set; }
        /// <summary>
        /// 导航属性：风险记录表
        /// </summary>
        [Description("导航属性：风险记录表")]
        public T_HM_RISK_RECORD Nav_Record { get; set; }
    }
}
